Subject: [core] Informative refs in core-coap: groupcomm / http-mapping ?

From: "Dijk, Esko" <[email-masked]>
Date: Tue, 9 Apr 2013 10:12:14 +0000

Dear all,

I was just looking at the informative references section of core-coap. Ideas for improving these references:

1)
We could replace reference to  [I-D.bormann-core-cross-reverse-convention] with [draft-castellani-core-http-mapping], where we plan to add a default URI convention for a reverse proxy in the next version, similar to the current content of [I-D.bormann-core-cross-reverse-convention].

2)
We could add a reference to [draft-ietf-core-groupcomm] to point to additional guiding text on these two aspects:

*         Multicast Request Acceptance and Response Suppression (section 3.6). This provides details to the core-coap rule that a "server MAY always pretend it did not receive the request"

*         A new section will be added for the next groupcomm version about Proxying of multicast requests; related to core-coap section 8.2.2. It explains in more detail the problems when doing this and a solution as well.

Would this be useful to have in core-coap - any opinions?

regards,

Esko Dijk

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 9 Apr 2013 12:39:05 +0200

> We could replace reference to  [I-D.bormann-core-cross-reverse-convention] with [draft-castellani-core-http-mapping], where we plan to add a default URI convention for a reverse proxy in the next v…

Oh.  This is so obvious that I just made that change in the SVN right away [1275].
(This hasn't been done before because I was expecting a future version of http-mapping to have a "replaces" relationship to the cross-reverse-convention draft -- that hasn't happened yet, but it is sure the intention, and we should make this intention visible now.)

> ·         Multicast Request Acceptance and Response Suppression (section 3.6). This provides details to the core-coap rule that a “server MAY always pretend it did not receive the request”
> ·         A new section will be added for the next groupcomm version about Proxying of multicast requests; related to core-coap section 8.2.2. It explains in more detail the problems when doing this and a solution as well.

I would think that referencing groupcomm is a good idea.  I'm not quite sure where and how, so let's discuss this:

I'd probably add a sentence of the form 

   A more general discussion of group communication with CoAP is in [I-D.ietf-core-groupcomm].

at the end of the first paragraph of section 8.

I'd also insert a reference to groupcomm before the reference to coap-misc in 8.2.2, like this:

   Proxying multicast requests is discussed in more detail in [I-D.ietf-core-groupcomm]; a
   proposal to address the base URI issue can be found in section 3 of
   [I-D.bormann-coap-misc].

Grüße, Carsten

---

From: "Dijk, Esko" <[email-masked]>
Date: Tue, 9 Apr 2013 11:00:00 +0000

> Oh.  This is so obvious that I just made that change in the SVN right away [1275].
Ok, good. That puts some pressure on the http-mapping authors to include a decent default URI convention soon ;)

>   A more general discussion of group communication with CoAP is in [I-D.ietf-core-groupcomm].
Ok for me as well.

>   proposal to address the base URI issue can be found in section 3 of [I-D.bormann-coap-misc].
Ok for me. (Under the working assumption that our next-version text on this topic will arrive soon)

Additionally, we could add in core-coap section 8.2 in the first paragraph, in the sentence between the brackets
" (For example, in [RFC6690] query
   filtering, a server should not respond to a multicast request if the
   filter does not match.)"

the following:
"[I-D.ietf-core-groupcomm] lists a number of example use cases, each with guidelines on when a server needs to respond and when not."

This is a kind of extension of the single example to multiple examples via the reference.

regards,
Esko

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]]
Sent: Tuesday, April 09, 2013 12:39
To: Dijk, Esko
Cc: core ([email-masked])
Subject: Re: [core] Informative refs in core-coap: groupcomm / http-mapping ?

> ·         Multicast Request Acceptance and Response Suppression (section 3.6). This provides details to the core-coap rule that a "server MAY always pretend it did not receive the request"

Grüße, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 9 Apr 2013 13:46:47 +0200

> "[I-D.ietf-core-groupcomm] lists a number of example use cases, each with guidelines on when a server needs to respond and when not."

I'd simplify this to:

   (For example, in [RFC6690] query
   filtering, a server should not respond to a multicast request if the
   filter does not match.  More examples are in [I-D.ietf-core-groupcomm].)

Grüße, Carsten